## simpler-brightness-applet 1.0

=== debian/changelog ===
simpler-brightness-applet (1.0) unstable; urgency=low

  * Initial Release.

 -- Marc Pöpperl <marc@321.endofinternet.org>  Thu,  10 Nov 2016 16:41:04 +0200
