=== debian/control ===
Source: simpler-brightness-applet
Section: user/desktop
Priority: extra
Maintainer: Marc Pöpperl <marc@321.endofinternet.org>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, automake1.11, libtool (>= 1.5), intltool (>= 0.40), osso-af-settings, libhildon1-dev, libhildondesktop1-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libosso-dev
Standards-Version: 3.7.2
Xsbc-Bugtracker: http://talk.maemo.org/showthread.php?p=1518454

Package: simpler-brightness-applet
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A variation of the simple brightness applet, which allows you to:
 * Adjust the brightness from 1-5;
 * Launch the Display Settings Control Panel applet; and
 * Keep the backlight on
 with different operation:
 * Normal tap toggles "keep backlight on"
 * Long tap opens display settings
XB-Maemo-Display-Name: Simpler Brightness Applet
